//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CSample4Part;
class DevUniv_STalker;
class FW_CPictureShape; 

//=======================================================================
class CSample4Frame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CSample4Frame)
						CSample4Frame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CSample4Part* sample3Part);
	virtual 			~CSample4Frame();
protected:
// overrides
	virtual void		Draw(Environment* ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Handled	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
	virtual void		FrameShapeChanged(Environment* ev);
// new members
	virtual void 		MyInitPicture(Environment* ev);
private:
	DevUniv_STalker*	fSOMTalker;	// SOM object for speech synthesis
	FW_CRect 			fFrameRect;
	FW_CPictureShape*	fPictShape;	// Mr. Pizza
};

//=======================================================================
#endif
